<app-map-filter *ngIf="filters.length" [filters]="filters" (changeFilterForm)="onChangeFilter($event)"></app-map-filter>

<div class="map-container">
    <agm-map [latitude]="latitude" [longitude]="longitude" [zoom]="zoom" [minZoom]="minZoom" [disableDefaultUI]="false" [scrollwheel]="false" (mapReady)= "onMapReady($event)">
        <ng-container *ngIf="!showHeatmap">
            <ng-container *ngIf="markers">
                <agm-marker-cluster [styles]="[{height: 37, width: 37, textColor: '#ffffff', url: './assets/img/map/cluster.png'}]" [averageCenter]="true">
                    <ng-container *ngFor="let marker of markers">
                        <agm-marker *ngIf="marker.status" [iconUrl]="{url: './assets/img/map/markers/' + marker.status + '.svg',  anchor : {x:10, y:10}}" [latitude]="marker.latitude" [longitude]="marker.longitude" [markerDraggable]="false"></agm-marker>
                        <agm-marker *ngIf="!marker.status" [latitude]="marker.latitude" [longitude]="marker.longitude" [markerDraggable]="false"></agm-marker>
                    </ng-container>
                </agm-marker-cluster>
            </ng-container>
            <ng-container *ngIf="polygons">
                <agm-polygon *ngFor="let polygon of polygons" [paths]="polygon" [fillColor]="'#E04D4D'" [fillOpacity]="0.55" [strokeColor]="'#E04D4D'" [strokeOpacity]="0.7" [strokeWeight]="2" [visible]="true" [zIndex]="1">
                </agm-polygon>
            </ng-container>
            <!-- Routes -->
            <ng-container *ngIf="routes">
                <agm-polyline *ngIf="routes.length" [geodesic]="true" [strokeColor]="'#E04D4D'" [strokeOpacity]="1" [strokeWeight]="3">
                    <agm-polyline-point *ngFor="let route of routes" [latitude]="route.latitude" [longitude]="route.longitude">
                    </agm-polyline-point>
                </agm-polyline>
            </ng-container>
        </ng-container>
    </agm-map>
    <app-map-loader *ngIf="showLoader"></app-map-loader>
</div>